% noms2k4.cls
% based on ifip.cls, edited by AKe and BG for IM99 and NOMS2000

\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{noms2k4}[1999/01/10 IM99 based on 1996/08/04 C&H ifip Focal Image Changes]

\DeclareOption{fleqn}{%
  \input{fleqn.clo}%
  \AtEndOfClass{%
    \setlength{\mathindent}{0pt}%
  }
}

% load in some font packages if needed

\DeclareOption{cmfonts}{\let\chaphall@fonts\relax}
\DeclareOption{mathptm}{\def\chaphall@fonts{\RequirePackage{mathptm}}}
\DeclareOption{mathtime}{\def\chaphall@fonts{\RequirePackage{mathtime}}}

\DeclareOption*{%
  \ClassWarning{im99}{unknown option `\CurrentOption'}%
}

\ExecuteOptions{cmfonts,fleqn}
\ProcessOptions\relax

\AtBeginDocument{%
  \@ifpackageloaded{harvard}{}%
    {\def\harvarditem#1#2#3{\bibitem{#3}}%
     \def\harvardcite#1#2#3#4{\bibcite{#1}{#3#4}}%
     \def\citeasnoun{\cite}%
    }%
    \renewcommand{\ttdefault}{cmtt}
}

%\AtEndOfClass{\setcounter{page}{1}}
\LoadClass{chapman}
\DeclareMathAlphabet{\mathbi}{OT1}{cmr}{bx}{it}
\chaphall@fonts

\setcounter{secnumdepth}{3}
\voffset=1cm

\def\ifiploaded{} % royal1 loaded
%
% \tiny           7/8  from  5/6 
% \scriptsize     8/10 from  7/8 
% \footnotesize  10/12 from  8/9 
% \small         11/13 from  9/11 
% \normalsize    12/14 from 10/12 
% \large         12/14  
% \sectionsize   14/16
% \Large         14/18
% \LARGE         17/19
% \huge          20/22
% \Huge          25/26

\def\@normalsize{\@setsize\normalsize{12pt}\xpt\@xpt
 \abovedisplayskip 6pt plus 1pt minus 1pt%
 \belowdisplayskip \abovedisplayskip
 \abovedisplayshortskip  \z@ plus3pt%
 \belowdisplayshortskip  3.25pt plus 1pt minus 1pt%
 \let\@listi\@listI}
\def\small{\@setsize\small{11pt}\ixpt\@ixpt
 \abovedisplayskip 5.5pt plus 2pt minus 2pt%
 \belowdisplayskip \abovedisplayskip
 \abovedisplayshortskip  \z@ plus3pt%
 \belowdisplayshortskip  3.25pt plus 1pt minus 1pt%
 \def\@listi{\leftmargin\leftmargini
 \topsep 3pt plus 2pt minus 2pt\parsep\z@
 \itemsep\z@}}
\def\footnotesize{\@setsize\footnotesize{8pt}\viiipt\@viiipt % BG
 \abovedisplayskip 5pt plus 2pt minus 2pt%
 \belowdisplayskip \abovedisplayskip
 \abovedisplayshortskip \z@ plus 1pt%
 \belowdisplayshortskip 3pt plus 1pt minus 2pt
 \def\@listi{\leftmargin\leftmargini
 \topsep 3pt plus 1pt minus 1pt\parsep\z@
 \itemsep\z@}}
\def\scriptsize{\@setsize\scriptsize{8pt}\viipt\@viipt}
\def\tiny{\@setsize\tiny{6pt}\vpt\@vpt}
\def\large{\@setsize\large{13pt}\xipt\@xipt}
\def\authorlarge{\@setsize\authorlarge{10pt}\xipt\@xipt}%(AK)
\def\sectionsize{\@setsize\sectionsize{12pt}\xiipt\@xiipt}%(AK)
\def\subsectionsize{\@setsize\subsectionsize{11pt}\xipt\@xipt}%(AK)
\def\subsubsectionsize{\@setsize\subsubsectionsize{10pt}\xpt\@xpt}%(AK)
\def\Large{\@setsize\Large{14pt}\xiipt\@xiipt}
\def\LARGE{\@setsize\LARGE{16pt}\xivpt\@xivpt}
\def\verylarge{\@setsize\verylarge{17pt}\xviipt\@xviipt}
\def\huge{\@setsize\huge{20pt}\xvipt\@xvipt}
\def\Huge{\@setsize\Huge{22pt}\xxpt\@xxpt}
\tiny\normalsize

\setlength{\parindent}{3ex} %BG


% DIMENSION OF TEXT:
% 
\textheight=186mm
%topskip geaendert von 24 auf 0 (AK) wieder auf 0pt
%\topskip=0pt
%\advance\textheight by \topskip
\textwidth=118mm
\partopsep 0pt plus 0pt minus 0pt
\oddsidemargin 0.75in
\evensidemargin 0.75in
\topmargin 20mm % gemessen :-)
\headheight 0pt
\headsep 0pt
%\parsep 0pt
%\parskip 0pt
% Load twelvepoint \rm -- Just in case local system doesn't preload it.
%
% increase margins to accommodate 12/14 text size, not needed now. Focal

%\leftmargini   14pt %1pc
%\leftmarginii  14pt %1pc
%\leftmarginiii 14pt %1pc
%\leftmarginiv  14pt %1pc
%\leftmarginv   14pt %1pc
%\leftmarginvi  14pt %1pc
%\leftmargin\leftmargini
\labelsep 0.5em
\labelwidth\leftmargini\advance\labelwidth-\labelsep

% one line space above and below lists
\def\@listI{\leftmargin\leftmargini\parsep\z@
 \topsep 2pt plus 1pt minus 2pt%14 (AK)
 \itemsep\z@}
\let\@listi\@listI
\@listi
\def\@listii{\leftmargin\leftmarginii
   \labelwidth\leftmarginii\advance\labelwidth-\labelsep
   \topsep 1pt plus 2pt minus 1pt%14 (AK)
   \parsep\z@
   \itemsep\z@}
\def\@listiii{\leftmargin\leftmarginiii
    \labelwidth\leftmarginiii\advance\labelwidth-\labelsep
    \topsep 1pt plus 1pt minus 1pt%14 (AK)
    \parsep\z@\partopsep\z@
    \itemsep\z@}
\def\@listiv{\leftmargin\leftmarginiv
     \labelwidth\leftmarginiv\advance\labelwidth-\labelsep}
\def\@listv{\leftmargin\leftmarginv
     \labelwidth\leftmarginv\advance\labelwidth-\labelsep}
\def\@listvi{\leftmargin\leftmarginvi
     \labelwidth\leftmarginvi\advance\labelwidth-\labelsep}

%\ifx\CUP@mtlplain@loaded\undefined
%  \let\textbf\bf
%  \let\textit\it
%  \font\twl@rm=cmr10 \@magscale1
%  \def\Large{\@setsize\Large{18pt}\xivpt\@xivpt}
%  \def\Huge{\@setsize\Huge{26pt}\xxvpt\@xxvpt}
%\else
%  \input{newfont.sty}
%  \NewTextAlphabet{textbf}{mtbx10}{}% for 24pt chapter heads
%  \NewTextAlphabet{textit}{mtti10}{}% for 16pt author/affil etc.
%  \def\xxivpt{}
%  \def\@xxivpt{}
%  \def\xvipt{}
%  \def\@xvipt{}
%  \addtosizeh@ok{xxiv}{24}{20}{17}
%  \addtosizeh@ok{xvi}{16}{12}{10}
  %
%  \font\twl@rm=mtr10 at 12pt
%  \def\Large{\@setsize\Large{18pt}\xvipt\@xvipt}
%  \def\Huge{\@setsize\Huge{26pt}\xxivpt\@xxivpt}
%\fi

\def\centerhead{\@startsection{centerhead}{6}{\z@}
  {-16pt plus-3.5pt minus-2pt}{0.001pt}{\normalsize\bf\centering}}

\def\section{\if@appendix\def\sv@text{APPENDIX\ }\else\def\sv@text{}\fi
\@startsection{section}{1}{\z@}
 {-12pt plus -2pt minus -1pt}{6pt}
 {\sectionsize\bfseries\raggedright}}
\def\subsection{\@startsection{subsection}{2}{\z@}
 {-6pt plus -2pt minus -1pt}{6pt}
 {\subsectionsize\bfseries\raggedright}}
\def\subsubsection{\@startsection{subsubsection}{3}{\z@}
 {-2pt plus -2pt minus -1pt}{0.1pt}
 {\subsubsectionsize\bfseries\raggedright}}
%\def\paragraph{\@startsection{paragraph}{4}{\z@}
% {-0pt plus -2pt minus -1pt}{0.1pt}
% {\normalsize\bfseries}}

\newif\if@appendix \@appendixfalse
\def\appendix{\par\@appendixtrue
 \setcounter{chapter}{0}
 \setcounter{section}{0}
 \def\@chapapp{APPENDIX}
 \def\thechapter{\Alph{chapter}}}


% change toc entry to remove chapter number
\def\@chapter[#1]#2{%
  \ifnum \c@secnumdepth >\m@ne
    \refstepcounter{chapter}%
    \typeout{\@chapapp\space\thechapter.}%
%   \addcontentsline{toc}{chapter}{\protect\numberline{\thechapter}#1}%
    \addcontentsline{toc}{chapter}{#1}%
  \else
    \addcontentsline{toc}{chapter}{#1}%
  \fi
  \chaptermark{#1}%
  \addtocontents{lof}{\protect\addvspace{10pt}}%
  \addtocontents{lot}{\protect\addvspace{10pt}}%
  \if@twocolumn
    \@topnewpage[\@makechapterhead{#2}]%
  \else
    \@makechapterhead{#2}\@afterheading
  \fi
}

% \@startsection modified to leave less space before \subsection
%    if it immediately follows \section
% \@sect modified to undo chapman.sty's en-space
%    redefinition and to force uppercase argument when LEVEL=1
% \@ssect modified to take LEVEL argument

% \@startsection {NAME}{LEVEL}{INDENT}{BEFORESKIP}{AFTERSKIP}{STYLE}
%            optional * [ALTHEADING]{HEADING}
\def\@startsection#1#2#3#4#5#6{\if@noskipsec \leavevmode \fi
   \par \@tempskipa #4\relax
   \@afterindenttrue
   \ifdim \@tempskipa <\z@ \@tempskipa -\@tempskipa \@afterindentfalse\fi
   \if@nobreak
%\typeout{nobreak true, section \thesubsection, page \thepage}
     \everypar{} \ifnum#2=2 \vskip 6pt plus1pt\fi
   \else
     \addpenalty{\@secpenalty}\addvspace{\@tempskipa}
   \fi \@ifstar
%    {\@ssect    {#3}{#4}{#5}{#6}}{\@dblarg{\@sect{#1}{#2}{#3}{#4}{#5}{#6}}}}
     {\@ssect{#2}{#3}{#4}{#5}{#6}}{\@dblarg{\@sect{#1}{#2}{#3}{#4}{#5}{#6}}}}

% \@sect{NAME}{LEVEL}{INDENT}{BEFORESKIP}{AFTERSKIP}{STYLE}
%            [ALTHEADING]{HEADING}
\def\@sect#1#2#3#4#5#6[#7]#8{%
 \ifnum #2>\c@secnumdepth
  \def\@svsec{}%
 \else
  \ifnum #2=1
   \refstepcounter{#1}
   \edef\@svsec{\sv@text\csname  the#1\endcsname.\hskip 1em}%
  \else
   \refstepcounter{#1}
   \edef\@svsec{\sv@text\csname the#1\endcsname\hskip 1em}%
  \fi
 \fi
 \@tempskipa #5\relax
 \ifdim \@tempskipa>\z@% new line heading
  \begingroup #6\relax
  \ifnum #2=3
    \@hangfrom{}{\interlinepenalty\@M#8\par}%numerierung bei subsubsec 
                                            %weg
  \else
    \@hangfrom{\hskip #3\relax\@svsec}{\interlinepenalty\@M#8\par}
  \fi
  \endgroup
  \csname #1mark\endcsname{#7}%
  \if@appendix
  \ifnum #2=1 \addcontentsline{toc}{#1}{Appendix \thesection\hskip1em #7}\fi
  \else
   \addcontentsline{toc}{#1}{\ifnum #2>\c@secnumdepth \else
    \protect\numberline{\csname the#1\endcsname}\fi #7}
  \fi
 \else%  run-in heading
  \def\@svsechd{#6\hskip #3%
   \@svsec #8%
   \csname #1mark\endcsname {#7}
   \addcontentsline{toc}{#1}{\ifnum #2>\c@secnumdepth \else
    \protect\numberline{\csname the#1\endcsname}\fi#7}}%
 \fi
 \@xsect{#5}}

% for section*:
% \@ssect{LEVEL}{INDENT}{BEFORESKIP}{AFTERSKIP}{STYLE}{ARG} ==
\def\@ssect#1#2#3#4#5#6{\@tempskipa #4\relax
   \ifdim \@tempskipa>\z@
     \begingroup #5\@hangfrom{\hskip #2}{\interlinepenalty\@M%
       #6\par} \endgroup % BG, uppercase removed
   \else
     \def\@svsechd{#5\hskip #2\relax\ifnum#1=1\uppercase{#6}\else #6\fi}
   \fi
   \@xsect{#4}}


\newcounter{centerhead}
\def\centerheadmark#1{}


% delete the \thechapter. part
\def\thesection{\arabic{section}}
\def\thesubsubsection{}

% delete . part
\def\@thmcountersep{}
\def\thechapter{}


\def\abstract{%
  \centerhead{Abstract\vspace*{2pt}}
  \list{}{\leftmargin\z@\listparindent\parindent}%12(AK)
  \item[]}

\def\endabstract{\endlist}

\def\keywords{%
  \centerhead{Keywords\vspace*{2pt}}
  \list{}{\leftmargin\z@\listparindent\parindent}%12(AK)
  \item[]}

\def\endkeywords{\endlist}



  \newsavebox{\@uthor}
%  \savebox{\@uthor}{}%
%  \savebox{\@uthor}{\parbox{\textwidth}{\par}}%
  \renewcommand{\author}[1]{%
   \savebox{\@uthor}{%
        \parbox{\textwidth}{%
               \usebox{\@uthor}
               \par{\reset@font\authorlarge\itshape #1}\strut%(AK)
      }%
    }%
  }

  \newcommand{\affiliation}[1]{%
    \savebox{\@uthor}{%
      \mbox{\parbox{\textwidth}{%
        \usebox{\@uthor}\par{\reset@font\authorlarge\itshape #1}\strut%(AK)
      }%
    }}%
  }

  \newcommand{\address}[1]{%
    \savebox{\@uthor}{%
      \mbox{\parbox{\textwidth}{%
        \usebox{\@uthor}\par{\reset@font\authorlarge\itshape #1}\strut\\%(AK)
      }%
    }}%
  }

% Heading for the \chapter command.
%

%\gdef\pages#1{\setcounter{page}{#1}}

\def\@makechapterhead#1{\thispagestyle{empty}% to go on first line of text
%  \vspace*{2mm}
  \vbox{\par
    \parindent 0pt%
%    \vskip 17pt% (BG)
 %   {\normalfont\large\textrm\phantom{\@chapapp{}
% \thechapter}}\par%no chapter number needed
%    \vskip 8pt% 18pt berschriftengre minus 10pt normale Textgre (BG)
    \raggedright
    {\verylarge\textbf{#1}\par}%
    \vskip 15pt% ursprgl. 19 pt (AK)
  %  {\textit{\@author\par 
  %   \@ffiliation\par \@ddress}\par}%
  {{\usebox{\@uthor}}\par}%
    % remove definitions for future chapters
  \savebox{\@uthor}{\parbox{\textwidth}{\par}}%
    \nobreak
    \addvspace{-8pt}%
    \if@chptxt
      \addvspace{4pt plus 2pt}\unvbox\@chptxtbox%24 (AK)
      \addvspace{4pt}\global\@chptxtfalse%6 (AK)
    \else
      \vskip 8pt%51.5pt (AK)
    \fi}%
}

\def\@makeschapterhead#1{% to go on first line of text
%  \vspace*{-65pt}%-17pt
  \vbox{\par
    \parindent 0pt%
%    \vskip 17pt%
 %   {\normalfont\large\textrm\phantom{\@chapapp{}
% \thechapter}}\par%no chapter number needed
%    \vskip 13pt%
    \raggedright
    {\verylarge\textbf{#1}\par}%
    \vskip 24pt%
  %  {\textit{\@author\par 
  %   \@ffiliation\par \@ddress}\par}%
  %{{\usebox{\@uthor}}\par}%
    % remove definitions for future chapters
  \savebox{\@uthor}{{}}%
    \nobreak
    \addvspace{16pt}%
    \if@chptxt
      \addvspace{24pt plus 2pt}\unvbox\@chptxtbox
      \addvspace{6pt}\global\@chptxtfalse
    \else
      \vskip 51.5pt%
    \fi}%
}
\let\@makeschapterhead\@makechapterhead%Kommentar entfernt(AK)




% make toc entries italic
\def\@schapter#1{%
  \chaptermark{#1}%
  \addtocontents{lof}{\protect\addvspace{10pt}}%
  \addtocontents{lot}{\protect\addvspace{10pt}}%
  \if@nocntentry
  \else
    \addcontentsline{toc}{chapter}{\it #1}%
  \fi
  \if@twocolumn
    \@topnewpage[\@makeschapterhead{#1}]%
  \else
    \@makeschapterhead{#1}\@afterheading
  \fi
}

% Heading for the \part command.
%
\def\@part[#1]#2{%
  \ifnum \c@secnumdepth >-2\relax
    \refstepcounter{part}%
%   \addcontentsline{toc}{part}{\thepart \hspace{1em}#1}%
    \addcontentsline{toc}{mypart}{PART \thepart}%
  \else
%   \addcontentsline{toc}{part}{#1}%
    \addcontentsline{toc}{mypart}{#1}%
  \fi
  \markboth{}{}%
  \vspace*{-17pt}%
  \vbox{%\thin@rule
    \par
    \parindent 0pt%\centering
    \vskip 17pt%
    \large
%    \ifnum \c@secnumdepth >\m@ne
%      PART \thepart\par
%    \else
      \phantom{PART \thepart}\par
%    \fi
    \vskip 13pt%
    \raggedright
    {\Huge\textbf{Part \thepart}\par}
    \vskip 24pt%
    }%
  \@endpart
}
%
% Heading for the \part* command.
%
\def\@spart#1{%
  \vspace*{-17pt}%
  \vbox{%\thin@rule
   \par
   \parindent 0pt%\centering
   \vskip 17pt%
   \large\phantom{PART \thepart}\par
   \vskip 13pt%
   \huge \rm #1\par
   \nobreak
   \addvspace{-8pt}%
%  \thick@rule
   \vskip 25pt}%
  \@endpart
}

% equations to be flush left and numbered (1), (2) etc.
\def\theequation{\arabic{equation}}


% FLEQN DOCUMENT-STYLE OPTION - released 04 November 1991
%    for LaTeX version 2.09
% Copyright (C) 1989,1991 by Leslie Lamport

%\typeout{Document style option `fleqn' - Released 04 Nov 91}

%\def\[{\relax\ifmmode\@badmath\else
% \begin{trivlist}%
% \@beginparpenalty\predisplaypenalty
% \@endparpenalty\postdisplaypenalty
% \item[]\leavevmode
% \hbox to\linewidth\bgroup $\m@th\displaystyle
 %\hskip\mathindent\bgroup\fi}

%\def\]{\relax\ifmmode \egroup $\hfil
%       \egroup \end{trivlist}\else \@badmath \fi}

%\def\{\@beginparpenalty\predisplaypenalty
%  \@endparpenalty\postdisplaypenalty
%\refstepcounter{equation}\trivlist \item[]\leavevmode
%  \hbox to\linewidth\bgroup $\m@th% $ TO MAKE DOLLAR NESTING OK
%  \displaystyle
%\hskip\mathindent}

%\def\endequation{$\hfil
 %          \displaywidth\linewidth\@eqnnum\egroup \endtrivlist}

%\def\eqnarray{\stepcounter{equation}\let\@currentlabel=\theequation
%\global\@eqnswtrue
%\global\@eqcnt\z@\tabskip\mathindent\let\\=\@eqncr
%\abovedisplayskip\topsep\ifvmode\advance\abovedisplayskip\partopsep\fi
%\belowdisplayskip\abovedisplayskip
%\belowdisplayshortskip\abovedisplayskip
%\abovedisplayshortskip\abovedisplayskip
%$$\m@th\halign
%to\linewidth\bgroup\@eqnsel\hskip\@centering$\displaystyle\tabskip\z@
%  {##}$&\global\@eqcnt\@ne \hskip 2\arraycolsep \hfil${##}$\hfil
%  &\global\@eqcnt\tw@ \hskip 2\arraycolsep $\displaystyle{##}$\hfil
 %  \tabskip\@centering&\llap{##}\tabskip\z@\cr}

%\def\endeqnarray{\@@eqncr\egroup
 %     \global\advance\c@equation\m@ne$$\global\@ignoretrue
 %     }

%\newdimen\mathindent
%\mathindent\z@%%% = \leftmargini
% end of fleqn.sty
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% itemized lists to have larger bullets
\def\labelitemi{$\bullet$}

\@footindent\z@
\def\footnoterule{\kern-3\p@ \hrule width 1\columnwidth \kern 2.6\p@}

\long\def\@makefntext#1{\@setpar{\@@par\@tempdima \hsize
 \advance\@tempdima-\@footindent
 \parshape \@ne \@footindent \@tempdima}\par
% \noindent$^{\@thefnmark}$#1}
 \noindent$^{*}$#1}

\renewcommand{\thefootnote}{\mbox{{${*}$}}}

\floatsep 4pt plus 2pt minus 4pt
\textfloatsep 4pt plus 2pt minus 4pt

% remove \thechapter.
\def\thefigure{\@arabic\c@figure} %angehaengt (AK)
\def\thetable{\@arabic\c@table}

\def\table{\@float{table}}
\def\0{\phantom{0}}

\long\def\@makecaption#1#2{%
   \vskip 12pt%
   \setbox\@tempboxa\hbox{\normalsize\bf #1\enskip \rm #2}%
   \ifdim \wd\@tempboxa >\hsize
       \normalsize\bf #1\enskip \rm #2\par
     \else
     \hbox to\hsize{\hfil\box\@tempboxa\hfil}%
%%       \noindent\box\@tempboxa%
   \fi%
}

\def\l@mypart#1#2{\pagebreak[3]
   \vskip 12pt plus 1pt
   \@tempdima 1.5em
   \begingroup
     \parindent \z@
     \rightskip \@pnumwidth
     \parfillskip -\@pnumwidth
     \bf \leavevmode
     \advance\leftskip\@tempdima
     \hskip -\leftskip
     {\raggedright #1}\nobreak
     \hfil \nobreak\hbox to\@pnumwidth{\hss #2}\par
   \endgroup}

\def\l@centerhead#1#2{}
\def\l@section      {\@dottedtocline{1}{\z@}{22.5pt}}
\def\l@subsection   {\@dottedtocline{2}{22.5}{30.0pt}}
\let\widetocentries\relax


%\def\thebibliography#1{%
%  \section*{References}
% \@mkboth{References}{References}
%  \typeout{References.}
%  \list{}{\labelwidth\z@
%    \leftmargin 1em
%    \itemsep \z@ plus .1pt
%    \itemindent-\leftmargin
%  \usecounter{dummy}}
%  \normalsize
%  \parindent\z@
%  \parskip\z@ plus .1pt\relax
%  \def\newblock{\hskip .11em plus .33em minus .07em}
%  \sloppy\clubpenalty4000\widowpenalty4000
%  \sfcode`\.=1000\relax
%}
\def\thebibliography#1{\section*{References}\par\list
 {\hfil[\arabic{enumi}]}{\topsep=0\p@\parsep=0\p@
 \partopsep=0\p@\itemsep=0\p@
 \labelsep=5\p@\itemindent=0\p@
 \settowidth\labelwidth{[#1]}%
 \leftmargin\labelwidth
 \advance\leftmargin\labelsep
 \advance\leftmargin -\itemindent
 \usecounter{enumi}}
 \def\newblock{\ }
 \sloppy\clubpenalty4000\widowpenalty4000
 \sfcode`\.=1000\relax}

% Definition of 'headings' page style.
%
\def\ps@headings{\let\@mkboth\markboth
  \def\@evenhead{}%
  \def\@oddhead{}%
  \def\@evenfoot{}%
  \def\@oddfoot{}%
  \def\chaptermark##1{\markboth{##1}{##1}}%
  \def\sectionmark##1{\markright{##1}}%
}


\def\ps@myheadings{\let\@mkboth\@gobbletwo
 \def\@oddhead{}
 \def\@oddfoot{}
 \def\@evenhead{}
 \def\@evenfoot{}
 \def\chaptermark##1{\markboth{##1}{##1}}
 \def\sectionmark##1{\markright{##1}}
% \def\subsectionmark##1{}
}

%
%\ps@headings
\@royalflagtrue
%
% end of im99.cls
\endinput
